{% extends "app/layout.html" %}

{% block content %}


<h2>{{ title }}</h2>
<div class="row">
    <div class="col-md-8">
        <section id="loginForm">
            <form action="." method="post" class="form-horizontal">
                {% csrf_token %}
                <h4>Use a local account to log in.</h4>
                <hr />
                <div class="form-group">
                    <label for="id_username" class="col-md-2 control-label">User name</label>
                    <div class="col-md-10">
                        {{ form.username }}
                    </div>
                </div>
                <div class="form-group">
                    <label for="id_password" class="col-md-2 control-label">Password</label>
                    <div class="col-md-10">
                        {{ form.password }}
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-md-offset-2 col-md-10">
                        <input type="hidden" name="next" value="{% url 'marketplaces' %}" />
                        <input type="submit" value="Log in" class="btn btn-default" />
                        <a href="{% url 'user_signup' %}" title="New user? Create an account" style="vertical-align: middle; margin-left:20px; " > Create a new account</a>
                    </div>
                </div>
                {% if form.errors %}
                <p class="validation-summary-errors">Please enter a correct user name and password.</p>
                {{ form.errors }}
                {% endif %}
                {%if errors%}
                <p class="validation-summary-errors">Please enter a correct user name and password.</p>
                {%endif%}
            </form>
        </section>

    </div>
    <div class="col-md-4">
        <section id="socialLoginForm"></section>
    </div>
</div>

{% endblock %}


{% block scripts %}

    {% load staticfiles %}
<script src="{% static 'app/scripts/jquery.validate.min.js' %}"></script>

{% endblock %}
